#2568 closed defect (fixed)

m68k/mcf5225x: linker script update (add KEEP() sections)

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: Indefinite
Component: bsps Version: 5
Severity: normal Keywords: function sections, KEEP
Cc: Blocked By:
Blocking:

Description

This BSP's linker script does not include KEEP() directives and thus cannot have per-function and per-data element section support enabled.

The preferred solution is to convert the BSP to use a shared base linker script. The acceptable solution is to add the proper KEEP directives to the existing linker script(s).

Shared linker scripts for the arm, m68k, and sparc have the proper KEEP sections and can serve as examples.

Change History (5)

comment:1 Changed on Feb 15, 2017 at 1:49:47 PM by Sebastian Huber

Owner: set to Joel Sherrill
Status: newassigned

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Aug 24, 2017 at 5:59:58 AM by Sebastian Huber

Milestone: 4.12.0Indefinite

comment:4 Changed on Sep 14, 2018 at 6:59:19 PM by Joel Sherrill

Keywords: function sections KEEP added

comment:5 Changed on Nov 29, 2018 at 12:58:22 AM by Shashvat Jain <shashvatjain2002@…>

Resolution: fixed
Status: assignedclosed

In 9c4dc7b0/rtems:

m68k/mcf5225x:Add per-section compilation and linking support(GCI 2018)

The size of the sample executables without this option were:

text data bss dec hex filename

71984 1104 4080 77168 12d70 ./base_sp.exe

201872 2112 8944 212928 33fc0 ./capture.exe
104464 1472 4192 110128 1ae30 ./hello.exe
249584 5984 10864 266432 410c0 ./loopback.exe

40032 304 2768 43104 a860 ./minimum.exe
95360 1584 4208 101152 18b20 ./nsecs.exe

179760 1872 4816 186448 2d850 ./paranoia.exe
432912 12048 35568 480528 75510 ./pppd.exe

74992 1136 4112 80240 13970 ./ticker.exe
74832 1088 7952 83872 147a0 ./unlimited.exe

The size of the sample executables with this option were:

text data bss dec hex filename

67456 1104 4000 72560 11b70 ./base_sp.exe

188272 2096 8912 199280 30a70 ./capture.exe

95536 1472 4160 101168 18b30 ./hello.exe

233568 5984 10784 250336 3d1e0 ./loopback.exe

39264 304 2736 42304 a540 ./minimum.exe
89392 1584 4128 95104 17380 ./nsecs.exe

171120 1872 4784 177776 2b670 ./paranoia.exe
420336 12048 35488 467872 723a0 ./pppd.exe

70208 1136 4032 75376 12670 ./ticker.exe
73152 1088 7920 82160 140f0 ./unlimited.exe

Closes #2568

Note: See TracTickets for help on using tickets.